Skip to main content

Configure Azure MSSQL Instance​

This API creates Cloud Database Instance for SQL Server.

All the databases in the SQL Server instance will be backed up after creation

Request Body
  • instanceName string

    The SQL Instance Name or for the rule based discovery,

    Azure SQL Managed Instance Resource Discovery - For Managed Instance

    Azure SQL Resource Discovery - For Regular instance

  • clientId integer
  • clientName string
  • planId integer
  • credential object

    Database connection credentials

  • id integer
  • name string
  • region object

    RegionInfo where the resourcepools are configured

  • id integer
  • name string
  • backupGateways object[]

    List of backupGateways or backupGatewayGroups for the instance backup

    Optional : Not required if the useResourcePoolInfo is set to true

  • id integer
  • name string
  • type integer

    3 for backupGateways, 28 for backupGatewayGroups

  • useResourcePoolInfo boolean

    true if configured resource pools will be used for backups

  • ruleGroups object[]

    Rules to associate with the Auto discovery instance during rule based discovery instance creation

  • matchCriteria integer
  • ruleEntities object[]
  • ruleDefinition object
  • type integer
  • value string
  • matchType integer
  • azureservertype string

    Azure Managed DataBase Engine/Azure DataBase Engine

  • cloudBackupMethod integer

    1 for Native Backup and 2 for Export backup

  • azureBackupStagingPath string
  • azureStorageAccountName string
  • azureSecureStorageConnectionString string

    MSSQL storage connection string.

    This is optional and required only for managed azure sql instance

  • useManagedIdentity boolean
Responses

OK


Schema
  • instance object
  • id integer
  • name string
Loading...